Bug 988176 - pcp-gui rpm package built by Makepkgs installs /usr/bin
pcp-gui rpm package built by Makepkgs installs /usr/bin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp-gui (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 21:50 EDT by Mark Goodwin
Modified: 2013-11-10 21:37 EST (History)
2 users (show)

See Also:
Fixed In Version: pcp-gui-1.5.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 18:05:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Goodwin 2013-07-24 21:50:18 EDT
Description of problem:
subject says it all - pcp-gui should not install /usr/bin
Note: the rpm package built from fedora.spec is probably not affected.

Version-Release number of selected component (if applicable): 1.5.9-1 (dev)

Additional Info :

Transaction check error:
  file /usr/bin from install of pcp-gui-1.5.9-1.x86_64 conflicts with file from package filesystem-3.2-13.fc19.x86_64

Error Summary
-------------

[mgoodwin@fletch rpm]$ rpm -qf /usr/bin
filesystem-3.2-13.fc19.x86_64
[mgoodwin@fletch rpm]$ rpm -qlp ./pcp-gui-1.5.9-1.x86_64.rpm | fgrep usr/bin
/usr/bin
/usr/bin/pmchart
/usr/bin/pmconfirm
/usr/bin/pmdumptext
/usr/bin/pmmessage
/usr/bin/pmquery
/usr/bin/pmtime
Comment 1 Nathan Scott 2013-07-25 19:49:28 EDT
Thanks Mark, fixed by upstream commit e9019dc1afac222739599ccc012667b23d396023.
Comment 2 Fedora Update System 2013-07-28 04:36:33 EDT
pcp-gui-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc19
Comment 3 Fedora Update System 2013-07-28 04:50:22 EDT
pcp-gui-1.5.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc18
Comment 4 Fedora Update System 2013-07-28 04:51:35 EDT
pcp-gui-1.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc17
Comment 5 Fedora Update System 2013-07-28 04:52:37 EDT
pcp-gui-1.5.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.el6
Comment 6 Fedora Update System 2013-07-28 17:10:08 EDT
Package pcp-gui-1.5.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-gui-1.5.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11018/pcp-gui-1.5.9-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-02 18:05:49 EDT
pcp-gui-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-16 13:09:46 EDT
pcp-gui-1.5.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-15 06:24:51 EDT
pcp-gui-1.5.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.10-1.fc18
Comment 10 Fedora Update System 2013-11-01 01:20:16 EDT
pcp-gui-1.5.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.11-1.fc18
Comment 11 Fedora Update System 2013-11-10 21:37:24 EST
pcp-gui-1.5.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.